1
vote
0answers
91 views

cURL not loading on Ubuntu 12.04

I have come across a very weird problem. My cURL PHP extension doesn't seem to be running. I have installed cURL using this command: sudo apt-get install curl libcurl3 libcurl3-dev php5-curl And ...
0
votes
0answers
150 views

Trying to Install SOLR PHP Extension on Mac OSX and Receiving Error

My setup currently is on Mamp Pro using Php 5.3.14. I have a number of other extensions added and I'm trying to add SOLR. I have installed it, but now I need to add the SOLR PECL PHP extension but I ...
0
votes
1answer
468 views

Installing GD on Centos 6.3

Hello everyone I am trying to enable GD in my installation of PHP in my CentOS 6.3 machine running lighttpd as the web server. I have done yum install gd gd-php and when I run php -i I get gd ...
0
votes
1answer
382 views

Install php 5.3.10 in ubuntu 12.04

I have been trying to downgrade the php version from php 5.4 to php 5.3. I tried removing php5, purging php5 and then reinstalling using "apt-get install php5=5.3.6-13ubuntu3.6", but it did not help, ...
2
votes
4answers
2k views

Problems installing PHP 5.4.11 and MySQL 5.6.10 on CentOS 6.3

I'm attempting to install PHP 5.4.11 and MySQL 5.6.10 onto a CentOS 6.3 box. I've successfully installed PHP 5.4.11 via the remi repository for yum. I've also successfully installed MySQL 5.6.10 ...
0
votes
1answer
54 views

Change php path

I've a server running Centos 5. Yesterday I upgraded php to 5.4.10 throught remi repository. Operation was successful ( I've checked updated information in phpinfo()) Today I figured out that php ...
0
votes
1answer
225 views

php gnupg = unable to load warning

End goal: use PHP GnuPG library in my Mediawiki extension I have installed gpgme with dependencies run pecl install gnupg = no errors added extension=gnupg.so to my php.ini : [root@dev-lamp01]# ...
0
votes
1answer
229 views

Post compiled php 5.4 curl installation

I recently compiled php 5.4 from source. I have Centos 6. I used this configuration: # ./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql # make # make install # cp php.ini-dist ...
-1
votes
1answer
28 views

how to actually install PHP etc on a windows 2003 server

We're just purchasing a dedicated windows 2003 server (in fact I think it's a VPS) How do we actually go about installing software on to it? Simply searching for "installing PHP5 on windows server" ...
-1
votes
2answers
366 views

Install PHP/Apache windows 7 [closed]

I've successfully installed Apache 2.2.22 and I ran the localhost and I got the It works message so I'm assuming that is ok. Then I installed PHP 5.3.15. My question is how do I make those two work ...
2
votes
0answers
590 views

PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/json.so' undefined symbol: ZVAL_DELREF

I have an issue where I am unable to use JSON, which would appear to be because of the following error. There is another thread on this forum this touches on a similar issue, but it's not quite the ...
0
votes
2answers
412 views

2 php versions on same server

Is it possible to install 2 php versions on same server. I have some old sites on my local system which supports php5. But latest CMS and framework supports php5.3 . I don't want to change my old ...
0
votes
2answers
2k views

Install PHP MSSQL Driver on Windows 2008 64bit IIS 7 - Unable to load dynamic library

maybe somebody is able to help with the following problem: I have to install PHP 5.2 on Windows 2008 IIS with MSSQL Support but I'm unable to get MSSQL to work. Current situation Windows 2008 ...
0
votes
1answer
1k views

Problem to install PHP Imagick in XAMPP on OSX Lion due conflict with default PHP installation

Configuration where this problem occurs: OSX 10.7, XAMPP Mac OS X 1.7.3, Image Magic installed with homebrew, Apple Websharing turned OFF. Problem description: Can't install Imagick PHP extension for ...
0
votes
1answer
36 views

help in configuration of mysql 5.5

i am trying to install mysql 5.5 in my windows 7 32bit i have antivirus quickheal with a firewall my problem is i am not able to configure the mysql properly this all error which i am facing ...
1
vote
1answer
260 views

32bit or 64bit PHP on 64bit capable processor/64-bit Windows Server 2008/IIS7

I plan to install PHP on a system running on AMD Opteron/Windows Server 2008/IIS7. According to the device manager the OS is a 64-bit Operating System. So which flavor of PHP should I install on it. ...
0
votes
2answers
85 views

I updated PHP from source… How can I use it?

I'm on a Mac, and it has PHP 5.3.4 built in. I downloaded the sources of PHP 5.3.6 and installed it via ./configure; sudo make; sudo make install It is now installed in /usr/local/bin/php: ...
0
votes
0answers
119 views

Issue (re)installing PHP on Linux Fedora 14

I had installed version 5.3.2 but had to downgrade to 5.2.6 for development purposes. I uninstalled php 5.3.2, then rebooted the computer, then tried installing 5.2.6, an error came up, it said ...
0
votes
0answers
86 views

Compiled PHP modules not matching what was configured

When compiling php, I am removing pdo_sqlite, adding pdo_mysql and curl, but neither show up as modules once php is installed. Can anyone explain what's going on? ./configure \ ...
0
votes
1answer
3k views

How do I install OpenSSL for PHP 5.3.5 on Windows XP?

I want to send emails with GMail in my project, so I should enable OpenSSL (when I checked in phpinfo, that was disabled). ----> OpenSSL support disabled (install ext/openssl) )... I am using ...
0
votes
3answers
859 views

Cannot perform a PECL installation

I have been trying to do a few PECL installations, but all of them return the same type of error. Something related to timezones? Im running RedHat x86_64 es5. Attempting to install geoip-1.0.7: ...
1
vote
4answers
4k views

Upgrade PHP5.1.6 to PHP5.3 in CentOS

In my system, have CentOS 5 and PHP 5.1.6. I tried to update php into version up(5.3) yum update php result: No Packages marked for Update Anyone have any suggestions? Thanks!
4
votes
2answers
121 views

Upgrade PHP v5.3.3 to v5.3.4

I currently have PHP v5.3.3 installed and configured. Everything is working perfectly, but I would like to keep PHP up to date and upgrade to v5.3.4. Can someone please describe the usual upgrade ...
0
votes
1answer
200 views

Apache won't load/parse .php

I just clean installed Apache 2.2.17 and PHP 5.3.4. For Apache selected Win32 installer, for PHP I selected x86 VC6 Thread Safe due to this, and I put Apache in C:\web\Apache2.2, and PHP in ...
1
vote
1answer
716 views

Having trouble installing PHPUnit with PEAR Installer (Windows)

I am trying to install phpunit/PHPUnit. I get something like below, I think the problem is that Archive/Tar.php is not found? I tried using the --alldeps switch and got the same error. Trying to ...
2
votes
7answers
27k views

Installing/enabling PHP Pecl Intl extension on CentOs 5

Original question: I'm having trouble installing the PHP Pecl Intl extension on my CentOs 5 machine. After installing both icu and libicu with the following commands: $ yum install icu $ yum ...
-1
votes
2answers
902 views

install PECL JSON in PHP 5.04

It's OK (compatible) to install PECL native JSON (from here) in PHP 5.0.4, on a production server running FC4 where unfortunately I cannot update PHP to at least 5.2 ? If there is a good chance to ...
0
votes
1answer
519 views

Generate libphp5.so without root privileges

I'm trying to get php and apache playing nice together on RedHat 5. I don't have root access. So far I've got a custom install of apache2 in a non standard location and I've run: yum install php ...
0
votes
1answer
737 views

Problem running phpunit on a windows machine

Hello I am trying to get phpunit to work on my windows machine. I have Zend Server CE installed and i Installed pear. But when i do: phpunit --configuration phpunit.xml I get the error: phpunit is ...
0
votes
2answers
399 views

PHP upgrade help needed

i need to upgrade php from 5.1.6 to 5.3.3 (newest). problem is that someone else made installation of 5.1.6 and i don't have any kind of documentation about it. so, first thing i checked was ...
1
vote
1answer
2k views

PHP 5 windows install problem: http://localhost/info.php

I downloaded the php-5.3.3-Win32-VC6-x86.msi file from php's download page. I have a working apache2 server running. On the setup window I selected the apache 2.2.x Module and on the Apache ...
0
votes
2answers
3k views

“Unable to initialize module” warning after update PHP on CentOS 5.4

After upgrading PHP from 5.1x to 5.2.10, there are a lot of warning when php -v: [root@localhost ~]# php -v PHP Warning: PHP Startup: fileinfo: Unable to initialize module Module compiled with ...
0
votes
3answers
373 views

Why do I see the PHP code and not the output of the script?

I have installed Apache. Its working fine. I have also PHP 5.2.1 installed. I have enabled load module in http.conf also I have also added following in mime.types AddType application/x-httpd-php ...
1
vote
1answer
194 views

Problem in Installing Wordpress

I try to install Wordpress in a Windows Client with WebPI which provided by Microsoft. I had tostop installation process 3 time and installing PHP and mysql Extention manually. but everytime I ...
0
votes
3answers
467 views

Do I need to reinstall PHP on Mac to get newly installed features?

I admit that I am a bit spoiled by the Windows installer. Anyway, I have mac os x leopard server and am trying to get gettext to work. I had trouble with pear but put the include for pear in the ...
0
votes
6answers
231 views

Which technology stack would result in easiest deployment for a customer-hosted web app?

Given a web application that would need to run on the customer's servers, and installed by the system administrators on the customer's side, which technology stack would result in an easier deployment ...
0
votes
5answers
4k views

php.ini is not getting read

I configured PHP to look in /etc/php5/apache2 for the php.ini file. the output of phpinfo() says that the path was set correctly, but also says no configuration file was loaded. i changed the php.ini ...
0
votes
2answers
1k views

Installing PHP with an external PCRE library

UPDATE I keep getting a warning when I use some php regex functions that says "this version of PCRE is not compiled with PCRE_UTF8 support." I have been digging pretty deep and think that all I need ...
0
votes
6answers
3k views

Why isn't my PHP installation recognized by Apache on Windows XP?

I have done the procedure below given in http://www.ricocheting.com/server/php.html for installing PHP and Apache. When I start the Apache server, it is displaying "invalid command PHPIniDir". How can ...
2
votes
5answers
5k views

I have two versions of apache running on Ubuntu, how can I remove one?

I installed apache on ubuntu by doing the following: sudo -i cd /usr/local/src wget http://apache.mirrors.tds.net/httpd/httpd-2.2.11.tar.gz tar -xvf httpd-2.2.11.tar.gz cd httpd-2.11.9 ./configure ...